using MahApps.Metro.Controls.Dialogs;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using WSDDBBrowser.Core;

namespace WSDDBBrowser
{
    /// <summary>
    /// TechInfoDialog.xaml 的交互逻辑
    /// </summary>
    public partial class TechInfoDialog : CustomDialog
    {
        System.Threading.CancellationTokenSource cancellationTokenSource;
        public TechInfoDialog()
        {
            InitializeComponent();
        }

        public async Task Show(List<TechInfo> techInfos)
        {
            dataGrid.ItemsSource = techInfos;
            cancellationTokenSource = new System.Threading.CancellationTokenSource();

            await App.MetroWindow.ShowMetroDialogAsync(this, settings: new MetroDialogSettings() { AnimateHide = true });

            try
            {
                await Task.Delay(-1, cancellationTokenSource.Token);
            }
            catch (Exception e)
            {

            }

        }

        private async void ButtonOK_Click(object sender, RoutedEventArgs e)
        {
            await App.MetroWindow.HideMetroDialogAsync(this, settings: new MetroDialogSettings() { AnimateHide = true });
            cancellationTokenSource.Cancel();
        }
    }
}
